{% block swag_guide_shopping_product_assignment_products %}
    <div class="swag-guided-shopping-product-assignment">

        {% block swag_guide_shopping_product_assignment %}
            <sw-many-to-many-assignment-card
                :entity-collection="productCollection"
                :columns="productColumns"
                :is-loading="isLoading"
                :localMode="true"
                :criteria="productCriteria"
                :select-label="$tc('sw-category.base.products.productAssignmentLabel')"
                :placeholder="$tc('sw-category.base.products.productAssignmentPlaceholder')"
                :searchableFields="searchableFields"
                @paginate="onPaginateManualProductAssignment"
                @change="changedCollection"
            >

                {% block swag_guide_shopping_product_assignment_type_select %}
                    <template #prepend-select>

                        {% block swag_guide_shopping_product_assignment_type_select_field %}
                        <sw-single-select
                            v-model:value="entity.productAssignmentType"
                            class="swag-guided-shopping-product-assignment__product-assignment-type-select"
                            :label="$tc('sw-category.base.products.productAssignmentTypeLabel')"
                            :options="productAssignmentTypes"
                            :disabled="!acl.can('entity.editor')"
                            required
                            show-clearable-button
                        />
                        {% endblock %}

                        {% block swag_guide_shopping_product_assignment_manual_alert %}
                            <sw-alert
                                v-if="entity.productAssignmentType === 'product_stream' && manualAssignedProductsCount > 0"
                                variant="info"
                            >
                                {{ $tc('sw-category.base.products.alertManualAssignedProductsOnAssignmentTypeStream') }}
                            </sw-alert>
                        {% endblock %}
                    </template>
                {% endblock %}

                {% block swag_guide_shopping_product_assignment_stream_select %}
                    <template
                        v-if="entity.productAssignmentType === 'product_stream'"
                        #select
                    >

                        {% block swag_guide_shopping_product_assignment_stream_select_field %}
                            <sw-entity-single-select
                                v-model:value="entity.productStreamId"
                                class="swag-guided-shopping-product-assignment__product-stream-select"
                                entity="product_stream"
                                show-clearable-button
                                :label="$tc('sw-category.base.products.productAssignmentTypeStreamLabel')"
                                :help-text="dynamicProductGroupHelpText"
                                :placeholder="$tc('sw-category.base.products.productAssignmentTypeStreamPlaceholder')"
                            />
                        {% endblock %}

                        {% block swag_guide_shopping_product_assignment_stream_preview_link %}
                            <div class="swag-guided-shopping-product-assignment__product-stream-preview-link">
                                <router-link
                                    v-if="entity.productStreamId"
                                    target="_blank"
                                    :to="{ name: 'sw.product.stream.detail', params: { id: entity.productStreamId } }"
                                >
                                    {{ $tc('sw-category.base.products.dynamicProductGroupDetailLinkText') }}
                                    <sw-icon
                                        name="regular-long-arrow-right"
                                        small
                                    />
                                </router-link>
                            </div>
                        {% endblock %}
                    </template>
                {% endblock %}

                {% block swag_guide_shopping_product_assignment_stream_preview_grid %}
                    <template #data-grid>
                        <template
                                v-if="entity.productAssignmentType === 'product_stream'"
                        >
                            <sw-product-stream-grid-preview
                                    :filters="productStreamFilter"
                                    :columns="productColumns"
                            />
                        </template>
                        <template v-else>
                        </template>
                    </template>
                {% endblock %}

                <template #result-label-property="{ item, index,  labelProperty}">
                    <sw-product-variant-info
                            :variations="item.variation"
                            :media="item.cover ? item.cover.media : null"
                    >
                        {{ item.name || item.translated.name }}
                    </sw-product-variant-info>
                </template>

                {% block swag_guide_shopping_product_assignment_column_name %}
                    <template #column-name="{ item, column }">
                        <router-link
                            :to="{ name: column.routerLink, params: { id: item.id } }"
                        >
                            <sw-product-variant-info
                                    :variations="item.variation"
                                    :media="item.cover ? item.cover.media : null"
                            >
                                {{ item.name || item.translated.name }}
                            </sw-product-variant-info>
                        </router-link>
                    </template>
                {% endblock %}


                {% block swag_guide_shopping_product_assignment_empty_state %}
                    <template #empty-state>
                        <img
                            :src="'/administration/static/img/empty-states/products-empty-state.svg' | asset"
                            alt=""
                        >

                        <p>{{ $tc('sw-category.base.products.productAssignmentEmptyStateDescription') }}</p>
                    </template>
                {% endblock %}

            </sw-many-to-many-assignment-card>
        {% endblock %}

    </div>
{% endblock %}
